App\Entity\Pallets:
    type: entity
    table: pallets
    uniqueConstraints:
        idxBC:
            columns:
                - barcode
    id:
        id:
            type: integer
            nullable: false
            options:
                unsigned: false
            id: true
            generator:
                strategy: IDENTITY
    fields:
        barcode:
            type: string
            nullable: false
            length: 100
            options:
                fixed: false
        dimension:
            type: string
            nullable: false
            length: 40
            options:
                fixed: false
        productName:
            type: string
            nullable: false
            length: 100
            options:
                fixed: false
            column: product_name
        majorCountriesAvailable:
            type: string
            nullable: true
            length: 200
            options:
                fixed: false
            column: major_countries_available
        l:
            type: integer
            nullable: false
            options:
                unsigned: false
        w:
            type: integer
            nullable: false
            options:
                unsigned: false
        h:
            type: integer
            nullable: false
            options:
                unsigned: false
        weight:
            type: integer
            nullable: false
            options:
                unsigned: false
        userIns:
            type: integer
            nullable: false
            options:
                unsigned: false
            column: user_ins
        dataIns:
            type: datetime
            nullable: false
            column: data_ins
        userMod:
            type: integer
            nullable: false
            options:
                unsigned: false
            column: user_mod
        dataMod:
            type: datetime
            nullable: false
            column: data_mod
    lifecycleCallbacks: {  }
